Subject: Re: [Ntp] WG Call for Adoption: draft-stenn-ntp-extension-fields

From: Tal Mizrahi <[email-masked]>
Date: Wed, 1 Aug 2018 13:24:40 +0300

Hi,

I do not support the adoption of this draft with the current content.
The draft currently has two main points: (1) Updating the NTP extension
field parsing logic, and (2) Re-defining the NTP extension field "Field
Type" field.
Regarding (1), I believe the parsing logic in the current draft is not
clear and unambiguous, and therefore it does not currently improve the
state of the art. In my opinion (2) is not necessary, as every new draft
that requests an IANA allocation of a range of "Field Type" values can
define the semantics of the sub-ranges, as is currently done in RFC 5906.

Sorry, Harlan, I know you spent a lot of time on this, but I believe that
if there is working group consensus that RFC 7822 needs to be updated, then
a new draft is required, that focuses on clearly defining the parsing logic.

Cheers,
Tal.

On Wed, Jul 25, 2018 at 5:16 AM, Karen O'Donoghue <[email-masked]>
wrote:

> Folks,
>
> As per the discussion at IETF 101 in Montreal, this email starts a WG Call
> for Adoption for:
> https://datatracker.ietf.org/doc/draft-stenn-ntp-extension-fields/
>
> This document has been around since Nov 2016. The intent of this document
> is to make changes to the extension field mechanism specified in RFC 5905
> and 5906 and clarified in RFC 7822.
>
> Anyone opposed to its adoption as a working group draft please speak up by
> Friday 22 June.
>
> Thanks!
> Karen
> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp
>

---

From: Karen O'Donoghue <[email-masked]>
Date: Wed, 15 Aug 2018 20:17:36 +0000

Folks,

Dieter and I have reviewed all the responses to this WG call for adoption. It is clear that there is no working group consensus to adopt at this time. 

Regards,
Karen

> On Jul 24, 2018, at 10:16 PM, Karen O'Donoghue <[email-masked]> wrote:
> 
> Folks,
> 
> As per the discussion at IETF 101 in Montreal, this email starts a WG Call for Adoption for: 
> This document has been around since Nov 2016. The intent of this document is to make changes to the extension field mechanism specified in RFC 5905 and 5906 and clarified in RFC 7822. 
> 
> Anyone opposed to its adoption as a working group draft please speak up by Friday 22 June. 
> 
> Thanks!
> Karen